org.opencv.ml

## Class ParamGrid

- java.lang.Object
- - org.opencv.ml.ParamGrid

-     public class ParamGrid
      extends Object

  The structure represents the logarithmic grid range of statmodel parameters. It is used for optimizing statmodel accuracy by varying model parameters, the accuracy estimate being computed by cross-validation.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ParamGrid(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ParamGrid` | `__fromPtr__(long addr)`
    `static ParamGrid` | `create()` Creates a ParamGrid Ptr that can be given to the %SVM::trainAuto method
    `static ParamGrid` | `create(double minVal)` Creates a ParamGrid Ptr that can be given to the %SVM::trainAuto method
    `static ParamGrid` | `create(double minVal, double maxVal)` Creates a ParamGrid Ptr that can be given to the %SVM::trainAuto method
    `static ParamGrid` | `create(double minVal, double maxVal, double logstep)` Creates a ParamGrid Ptr that can be given to the %SVM::trainAuto method
    `protected void` | `finalize()`
    `double` | `get_logStep()`
    `double` | `get_maxVal()`
    `double` | `get_minVal()`
    `long` | `getNativeObjAddr()`
    `void` | `set_logStep(double logStep)`
    `void` | `set_maxVal(double maxVal)`
    `void` | `set_minVal(double minVal)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

  - ### Constructor Detail

    - #### ParamGrid

          protected ParamGrid(long addr)

  - ### Method Detail

    - #### getNativeObjAddr

          public long getNativeObjAddr()

    - #### __fromPtr__

          public static ParamGrid __fromPtr__(long addr)

    - #### create

          public static ParamGrid create(double minVal,
                                         double maxVal,
                                         double logstep)

      Creates a ParamGrid Ptr that can be given to the %SVM::trainAuto method
      Parameters:
        `minVal` - minimum value of the parameter grid
        `maxVal` - maximum value of the parameter grid
        `logstep` - Logarithmic step for iterating the statmodel parameter
      Returns:
        automatically generated

    - #### create

          public static ParamGrid create(double minVal,
                                         double maxVal)

      Creates a ParamGrid Ptr that can be given to the %SVM::trainAuto method
      Parameters:
        `minVal` - minimum value of the parameter grid
        `maxVal` - maximum value of the parameter grid
      Returns:
        automatically generated

    - #### create

          public static ParamGrid create(double minVal)

      Creates a ParamGrid Ptr that can be given to the %SVM::trainAuto method
      Parameters:
        `minVal` - minimum value of the parameter grid
      Returns:
        automatically generated

    - #### create

          public static ParamGrid create()

      Creates a ParamGrid Ptr that can be given to the %SVM::trainAuto method
      Returns:
        automatically generated

    - #### get_minVal

          public double get_minVal()

    - #### set_minVal

          public void set_minVal(double minVal)

    - #### get_maxVal

          public double get_maxVal()

    - #### set_maxVal

          public void set_maxVal(double maxVal)

    - #### get_logStep

          public double get_logStep()

    - #### set_logStep

          public void set_logStep(double logStep)

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `Object`
      Throws:
        `Throwable`

Generated on Thu Jul 25 2019 21:39:44 UTC / OpenCV 3.4.7